/******************************************************************************
HEADER CONST
CRIADO: 01-08-2008
ALTERADO: 29-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef CONST_H
#define CONST_H

#if defined(__linux__)
	#define DIR_IMAGES "/usr/local/aBiblia/bdados/imagens/"
	#define DIR_ICONS "/usr/local/aBiblia/bdados/icones/"
	#define DIR_PATH QDir::homePath() + "/.aBiblia/"
	#define DIR_HOME QDir::homePath()
	#define DIR_DADOS "/usr/local/aBiblia/bdados/"
	#define DIR_RODAPE QDir::homePath() + "/.aBiblia/rodape/"
	#define DIR_RODAPECHECKED QDir::homePath() + "/.aBiblia/rodapeChecked/"
	#define DIR_LICENCA "/usr/local/aBiblia/Licenca.txt"
	#define DIR_NOVO_JFA "/usr/local/aBiblia/bdados/novoJFA.abi"
	#define DIR_VELHO_JFA "/usr/local/aBiblia/bdados/velhoJFA.abi"
	#define DIR_NOVO_JFARCF "/usr/local/aBiblia/bdados/novoJFARCF.abi"
	#define DIR_VELHO_JFARCF "/usr/local/aBiblia/bdados/velhoJFARCF.abi"
	#define DIR_CONFIG_TEXTO QDir::homePath() + "/.aBiblia/textoconfig.txt"
#elif defined(_WIN32) || defined(__WIN32) || defined(WIN32) || defined(__WIN32__)
	#define DIR_IMAGES "bdados/imagens/"
	#define DIR_ICONS "bdados/icones/"
	#define DIR_PATH QDir::homePath() + "/Dados de aplicativos/aBiblia/"
	#define DIR_HOME QDir::homePath() + "/Meus documentos"
	#define DIR_DADOS "bdados/"
	#define DIR_RODAPE QDir::homePath() + "/Dados de aplicativos/aBiblia/rodape/"
	#define DIR_RODAPECHECKED QDir::homePath() + "/Dados de aplicativos/aBiblia/rodapeChecked/"
	#define DIR_LICENCA "Licenca.txt"
	#define DIR_NOVO_JFA "bdados/novoJFA.abi"
	#define DIR_VELHO_JFA "bdados/velhoJFA.abi"
	#define DIR_NOVO_JFARCF "bdados/novoJFARCF.abi"
	#define DIR_VELHO_JFARCF "bdados/velhoJFARCF.abi"
	#define DIR_CONFIG_TEXTO QDir::homePath() + "/Dados de aplicativos/aBiblia/textoconfig.txt"
#endif

//Parmetros Constantes
const short int INDEFINIDO = -1;
const short int VELHO_TESTAMENTO = 0;
const short int NOVO_TESTAMENTO = 1;
const short int BIBLIA = 2;

const short int PROXIMO = 0;
const short int ANTERIOR = 1;
const short int PADRAO = 0;
const short int BASICO = 1;

const short int PESQUISA_NORMAL = 0;
const short int PESQUISA_MAIUS_MINUS = 1;
const short int PESQUISA_SEM_ACENTOS = 2;
const short int PESQUISA_MAIUS_MINUS_SEM_ACENTOS = 3;

const bool TEXTO_PRIMARIO = false;
const bool TEXTO_SECUNDARIO = true;

const short int PORTUGUES = 0;


/*ATENO: CONFIGURAES DE VERSO! S AS ALTERE SE REALMENTE SOUBER O QUE EST FAZENDO.*/
#define SYSTEM 1
/*
OPOES PARA SYSTEM:
	1 - source
	2 - win32/i386
	3 - win64/amd64
	4 - deb/i386
	5 - deb/amd64
	6 - rpm/i386
	7 - rpm/amd64
*/
#define VERSAO "2.0.1"
#define DATA_VERSAO "17.04.2009"


#if SYSTEM == 1
	#define SO "source"
	#define ARQUITETURA "any"
#elif SYSTEM == 2
	#define SO "win32"
	#define ARQUITETURA "i386"
#elif SYSTEM == 3
	#define SO "win64"
	#define ARQUITETURA "amd64"
#elif SYSTEM == 4
	#define SO "deb"
	#define ARQUITETURA "i386"
#elif SYSTEM == 5
	#define SO "deb"
	#define ARQUITETURA "amd64"
#elif SYSTEM == 6
	#define SO "rpm"
	#define ARQUITETURA "i386"
#elif SYSTEM == 7
	#define SO "rpm"
	#define ARQUITETURA "amd64"
#endif

#define LINK_UPDATE "http://www.comunidadeabiblia.net/abiblia/update2/index.php"

#define NOME "aBblia Software"
/*FIM: CONFIGURAES DE VERSO*/


#endif

