/******************************************************************************
CLASSE DIALBASE
CRIADO: 31-10-2008
ALTERADO: 15-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#include "dialbase.h"


DialBase::DialBase():QDialog(){
	resolucao.lerResolucao();
	FONTE_MEDIA = resolucao.getFonteMedia();
	FONTE_PEQUENA = resolucao.getFontePequena();

	QPixmap icon;
	icon.load((const QString&)DIR_ICONS + "icon.png");
	setWindowIcon(icon);
	
	QFont fonte = QFont("Bitstream", FONTE_MEDIA);
	btnCancelar = new QPushButton("Cancelar", this );
	btnCancelar->setFont(fonte);
	btnCancelar->setToolTip("Cancelar este Formulrio");
	connect( btnCancelar, SIGNAL( clicked () ), this, SLOT(close() ) );
}
void DialBase::redefinirObjetosCancelar(){
	delete btnCancelar;
	QFont fonte = QFont("Bitstream", FONTE_MEDIA);
	btnCancelar = new QPushButton("Cancelar", this );
	btnCancelar->setFont(fonte);
	btnCancelar->setToolTip("Cancelar este Formulrio");
	connect( btnCancelar, SIGNAL( clicked () ), this, SLOT(close() ) );
}

