/******************************************************************************
HEADER DA CLASSE FRMBIBLIA
CRIADO: 21-10-2008
ALTERADO: 25-10-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef FRMBIBLIA_H
#define FRMBIBLIA_H

#include <QtGui>
#include <stdlib.h>


#include "frmbase.h"


class FrmBiblia : public FrmBase
{
    Q_OBJECT

public:
	FrmBiblia();

	//Bblia Sagrada
	QGroupBox* boxAntTestamento;
	QGroupBox* boxNovoTestamento;
	QLabel* lblAntTestamento;
	QLabel* lblNovoTestamento;
	QLabel* lblLivroAntTestamento;
	QLabel* lblCapituloAntTestamento;
	QLabel* lblLivroNovoTestamento;
	QLabel* lblCapituloNovoTestamento;
	QLabel* lblMsgLivros;
	QFont fonte;
	QComboBox* cbxCapituloNovoTestamento;
	QComboBox* cbxLivroNovoTestamento;
	QPushButton* btnLerNovoTestamento;
	QPushButton* btnLerAntTestamento;
	QComboBox* cbxCapituloAntTestamento;
	QComboBox* cbxLivroAntTestamento;
	QGroupBox *boxOrdem;
	QRadioButton *radioBiblica;
	QRadioButton *radioAlfabetica;
	QPushButton* gerarPromessa;

	void resizeEvent(QResizeEvent* /*event*/);

private:
	void carregarCapitulo(const QString& livro, short int idTestamento);

private slots:
	//Biblia
	void carregarLivroVelho();
	void carregarCapituloVelho();
	void carregarLivroNovo();
	void carregarCapituloNovo();
	void ordemBiblica();
	void ordemAlfabetica();
	void setVelhoDefault();
	void setNovoDefault();

signals:
	void novaJanela(ReadBiblia *read);

};

#endif

