/******************************************************************************
HEADER DA CLASSE READPASSAGENS
CRIADO: 23-10-2008
ALTERADO: 23-10-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef READPASSAGENS_H
#define READPASSAGENS_H

#include <QtGui>

#include "readbiblico.h"
#include "const.h"
#include "config.h"
#include "resolucao.h"
#include "bancouser.h"
#include "bancosystem.h"
#include "amessagebox.h"

class QPixmap;
class QLabel;
class QFont;
class QTextEdit;
class QPushButton;
class BancoUser;
class BancoSystem;

class ReadPassagens : public ReadBiblico
{
   Q_OBJECT

public:
	ReadPassagens(const QString &strLivroCapitulo, short int idTestamento, const QString &strPassagem);
	~ReadPassagens();
	
	QString getLivroCapitulo();
	int getIdTestamento();
	QString getPassagem();

private:
	QString _strLivroCapitulo;
	int _idTestamento;
	QString _strPassagem;

private slots:	
	QString carregarTexto(const QString &strLivroCapitulo, short int idTestamento, const QString &strPassagem, bool secundario);

	
};
#endif

