/******************************************************************************
HEADER DA CLASSE DIAGEDITOR
CRIADO: 06-07-2008
ALTERADO: 20-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef DIAGEDITOR_H
#define DIAGEDITOR_H

#include <QtGui>
#include "widgeteditor.h"


class DiagEditor : public QMdiSubWindow
{
Q_OBJECT

public:
	DiagEditor(QWidget * parent, Qt::WindowFlags f);
	void closeEvent(QCloseEvent *event);

private:
	WidgetEditor* wtgEditor;

public slots:
	void slotAddFormato(const QString &strValor );

signals:
	void clickedFormato(const QString&);
	void finalizado();

};
#endif

