/******************************************************************************
HEADER DA CLASSE EXPORTAR
CRIADO: 06-06-2008
ALTERADO: 16-12-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef EXPORTAR_H
#define EXPORTAR_H

#include <QtGui>
#include <QSqlDatabase>
#include <QSqlQuery>

#include "ferramentas.h"
#include "bancouser.h"
#include "amessagebox.h"


class Exportar : public QObject 
{
	Q_OBJECT

	public:
	Exportar();
	Exportar(const QString &file);
	virtual ~Exportar();
	QSqlDatabase dbEmbarcado;

	//Estudos
	void exportarUmEstudo(const QString &categoria, const QString &titulo);
	void exportarEstudos();
	bool importarEstudos();

	//Anotaes
	void recuperarAnotacoes();
	void exportarAnotacoes();
	bool importarAnotacoes();

};
#endif

