/******************************************************************************
HEADER DA CLASSE FRMESTUDOS
CRIADO: 21-10-2008
ALTERADO: 27-12-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef FRMESTUDOS_H
#define FRMESTUDOS_H

#include <QtGui>
#include <stdlib.h>


#include "frmbase.h"
#include "config.h"


class FrmEstudos : public FrmBase
{
	Q_OBJECT

public:
	FrmEstudos();

	//Estudos
	QGroupBox* boxEstudos;
	QLabel* lblTituloTelaEstudos;
	QLabel* lblCategoriaEstudos;
	QLabel* lblTituloEstudos;
	QGroupBox* boxMaisOpcoes;
	QLabel* lblGbxEstudos;
	QComboBox* cbxCategoria;
	QComboBox* cbxTitulo;
	QPushButton* btnExportar;
	QPushButton* btnExcluir;
	QPushButton* btnEditar;
	QPushButton* btnLer;
	QCheckBox* chkExcluirTudo; 
	QPushButton* btnCriar;
	QPushButton* btnImportar;
	QPushButton* btnExportarTudo;
	QPushButton* btnLinkEstudos;

	void resizeEvent(QResizeEvent* /*event*/);
private:
	Config config;


private slots:
	//Estudos
	void chamarLerEstudos();
	void chamarEditarEstudos();
	void chamarExcluirEstudos();
	void chamarExportarUmEstudo();
	void chamarCriarEstudos();
	void chamarImportarEstudos();
	void chamarExportarEstudos();
	void carregarTituloEstudos();
	void carregarCombosEstudos();
	void carregarLinkEstudos();
	void slotChkExcluirTudo();

signals:
	void novaJanela(ReadEstudos *read);
	void fecharEstudos(const QString &strCategoria, const QString &strTitulo);

};

#endif

